﻿// 2011, Omer Faruk ZORLU
// http://www.omerfarukzorlu.com
using System.Xml.Serialization;

namespace OMR.TableDataSync.Console.Configuration
{
    public class ServerConfiguration
    {
        [XmlAttribute]
        public string Name { get; set; }

        [XmlAttribute]
        public string ConnectionString { get; set; }

        public ServerConfiguration()
            : this("server=.\\sqlexpress;database=database;integrated security=true")
        {}

        public ServerConfiguration(string connectionString)
        {
            ConnectionString = connectionString;
        }
    }
}
